Bug 236358 - [net/wireshark] Wireshark 3.0.0 build without MAXMIND fails
Summary: [net/wireshark] Wireshark 3.0.0 build without MAXMIND fails
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-07 11:29 UTC by olexander.v.melnyk
Modified: 2019-03-08 20:09 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description olexander.v.melnyk 2019-03-07 11:29:54 UTC
Got error "Unable to access file /usr/ports/net/wireshark/work/stage/usr/local/share/wireshark/mmdbresolve.html:No such file or directory" 

Need to change plg-plist:
========================================
--- pkg-plist.orig      2019-03-05 03:02:00.000000000 +0200
+++ pkg-plist   2019-03-07 12:39:34.156741000 +0200
@@ -748,7 +748,7 @@
 %%DATADIR%%/ipmap.html
 %%DATADIR%%/manuf
 %%DATADIR%%/mergecap.html
-%%DATADIR%%/mmdbresolve.html
+%%MAXMIND%%%%DATADIR%%/mmdbresolve.html
 %%DATADIR%%/pdml2html.xsl
 %%DATADIR%%/profiles/Bluetooth/colorfilters
 %%DATADIR%%/profiles/Bluetooth/preferences
========================================
Comment 1 Joe Marcus Clarke freebsd_committer 2019-03-08 20:09:00 UTC
Committed, thanks!
Comment 2 commit-hook freebsd_committer 2019-03-08 20:09:39 UTC
A commit references this bug:

Author: marcus
Date: Fri Mar  8 20:08:50 UTC 2019
New revision: 495066
URL: https://svnweb.freebsd.org/changeset/ports/495066

Log:
  Fix plist when MaxMindDB is not enabled.

  PR:		236358
  Submitted by:	olexander.v.melnyk@gmail.com

Changes:
  head/net/wireshark/pkg-plist